---
updatedAt: 2025-06-02T20:45:55.000Z
agentTools:
  projectIndex: https://docs.aerocrs.com/v4.0/llms.txt
---

# ticketBooking

The method will allow you to ticket a confirmed booking.

## Request parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Parameter
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        bookingid
      </td>

      <td style={{ textAlign: "left" }}>
        Number\*
      </td>

      <td style={{ textAlign: "left" }}>
        bookingid taken from createBooking
      </td>
    </tr>
  </tbody>
</Table>

> ❗️ \* Mandatory parameters

## Response

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        bookingid
      </td>

      <td>
        Number
      </td>

      <td>
        Booking ID used
      </td>
    </tr>

    <tr>
      <td>
        bookingconfirmation
      </td>

      <td>
        String
      </td>

      <td>
        Booking confirmation string
      </td>
    </tr>

    <tr>
      <td>
        pnrref
      </td>

      <td>
        String
      </td>

      <td>
        The PNR ref (record locator)
      </td>
    </tr>

    <tr>
      <td>
        ticketnumber
      </td>

      <td>
        String
      </td>

      <td>
        Ticket number ID in AeroCRS system
      </td>
    </tr>

    <tr>
      <td>
        invoicenumber
      </td>

      <td>
        Number
      </td>

      <td>
        Invoice number in airline
      </td>
    </tr>

    <tr>
      <td>
        deposit
      </td>

      <td>
        Number
      </td>

      <td>
        Number of remaining deposit (only valid for AeroCRS Network)
      </td>
    </tr>

    <tr>
      <td>
        status
      </td>

      <td>
        String
      </td>

      <td>
        OK – PNR is OK and approved
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "aerocrs",
    "version": "4.0"
  },
  "servers": [
    {
      "url": "https://api.aerocrs.com/v4"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_id"
      },
      "sec1": {
        "type": "apiKey",
        "in": "header",
        "name": "auth_password"
      }
    }
  },
  "security": [
    {
      "sec0": [],
      "sec1": []
    }
  ],
  "paths": {
    "/ticketBooking": {
      "post": {
        "summary": "ticketBooking",
        "description": "The method will allow you to ticket a confirmed booking.",
        "operationId": "ticketbooking",
        "parameters": [
          {
            "name": "auth_id",
            "in": "header",
            "description": "ID provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "auth_password",
            "in": "header",
            "description": "Password provided to you by AeroCRS",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "RAW_BODY"
                ],
                "properties": {
                  "RAW_BODY": {
                    "type": "string",
                    "description": "The method accepts the XML / JSON input as POST, response format will be according to the sent format. You can try JSON, put the post in the following input and click \"Try It\"",
                    "format": "json"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "aerocrs": {
                      "parms": {
                        "bookingid": 34145752
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "JSON": {
                    "value": "{\n    \"aerocrs\": {\n        \"success\": true,\n        \"bookingid\": 34145752,\n        \"bookingconfirmation\": \"4BEEA9FE-E8FB-4F3D-A220-16C7176E75D6\",\n        \"pnrref\": \"204BEEA\",\n        \"ticketnumber\": \"4218242\",\n        \"invoicenumber\": 3814,\n        \"deposit\": 392.15,\n        \"status\": \"OK\"\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "aerocrs": {
                      "type": "object",
                      "properties": {
                        "success": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "bookingid": {
                          "type": "integer",
                          "example": 34145752,
                          "default": 0
                        },
                        "bookingconfirmation": {
                          "type": "string",
                          "example": "4BEEA9FE-E8FB-4F3D-A220-16C7176E75D6"
                        },
                        "pnrref": {
                          "type": "string",
                          "example": "204BEEA"
                        },
                        "ticketnumber": {
                          "type": "string",
                          "example": "4218242"
                        },
                        "invoicenumber": {
                          "type": "integer",
                          "example": 3814,
                          "default": 0
                        },
                        "deposit": {
                          "type": "number",
                          "example": 392.15,
                          "default": 0
                        },
                        "status": {
                          "type": "string",
                          "example": "OK"
                        }
                      }
                    }
                  }
                }
              },
              "application/xml": {
                "examples": {
                  "XML": {
                    "value": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n\t\t<success>true</success>\n    <bookingid>34145507</bookingid>\n    <bookingconfirmation>0E494526-72DE-4BBE-A02C-6BA8CC75416B</bookingconfirmation>\n    <pnrref>200E494</pnrref>\n    <ticketnumber>4218214</ticketnumber>\n    <invoicenumber>3813</invoicenumber>\n    <deposit>392.15</deposit>\n    <status>OK</status>\n</aerocrs>"
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "xml",
              "code": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n<aerocrs>\n    <parms>\n        <bookingid>21733077</bookingid>\n    </parms>\n</aerocrs>"
            }
          ],
          "samples-languages": [
            "xml"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```